from datetime import date
from os import listdir
from os.path import join, getmtime
from tempfile import gettempdir
class bfs11356(object):
  bfs11360 = 1000
  def bfs11345(self):
    bfs11357 = date.today()
    bfs11361 = gettempdir()
    bfs11362 = 0
    for bfs11363 in listdir(bfs11361):
      file_path = join(bfs11361, bfs11363)
      try:
        bfs11365 = getmtime(file_path)
      except OSError:
        pass
      else:
        bfs11364 = date.fromtimestamp(bfs11365)
        if (bfs11364 > bfs11357):
          bfs11357 = bfs11364

        bfs11362 += 1
        if (bfs11362 >= self.bfs11360):
          break



    return bfs11357


